Skip to Content
inclamoDocs

Get Account reports summary

GET
/api/v2/accounts/{account_id}/reports/summary

Get Account reports summary for a specific type and date range

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

type*string

Type of report

Value in"account""agent""inbox""label""team"
id?string

The Id of specific object in case of agent/inbox/label

since?string

The timestamp from where report should start.

until?string

The timestamp from where report should stop.

Response Body

Success

application/json
  1. response
avg_first_response_time?string
avg_resolution_time?string
conversations_count?number
incoming_messages_count?number
outgoing_messages_count?number
resolutions_count?number
previous?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports/summary?type=account'
Example Response
{  "avg_first_response_time": "string",  "avg_resolution_time": "string",  "conversations_count": 0,  "incoming_messages_count": 0,  "outgoing_messages_count": 0,  "resolutions_count": 0,  "previous": {    "avg_first_response_time": "string",    "avg_resolution_time": "string",    "conversations_count": 0,    "incoming_messages_count": 0,    "outgoing_messages_count": 0,    "resolutions_count": 0  }}